Index: lfs-latest.php
===================================================================
--- lfs-latest.php	(revision e54747517c50dfa7e16e728de7862aedac82db0b)
+++ lfs-latest.php	(revision c0904fc0c8ca2f9b0447364d9d2e7ba5b0a529d4)
@@ -14,13 +14,9 @@
 $regex[ 'bzip2'    ] = "/^.*current version is ([\d\.]+).*$/";
 $regex[ 'check'    ] = "/^.*Check (\d[\d\.]+\d).*$/";
-$regex[ 'expect'   ] = "/^.*Download expect([\d\.]+)\.tar.*$/";
-$regex[ 'expat'    ] = "/^.*Download expat-([\d\.]+)\.tar.*$/";
 $regex[ 'intltool' ] = "/^.*Latest version is (\d[\d\.]+\d).*$/";
 $regex[ 'less'     ] = "/^.*current released version is less-(\d+).*$/";
-$regex[ 'mpc'      ] = "/^(\d\.\d\.\d).*$/";
 $regex[ 'mpfr'     ] = "/^mpfr-([\d\.]+)\.tar.*$/";
 $regex[ 'systemd'  ] = "/^.*v([\d]+).*$/";
 $regex[ 'sysvinit' ] = "/^.*sysvinit-([\d\.]+)dsf\.tar.*$/";
-$regex[ 'tcl-core' ] = "/^.*Download tcl([\d\.]+)-src.*$/";
 $regex[ 'tzdata'   ] = "/^.*tzdata([\d]+[a-z]).*$/";
 $regex[ 'xz'       ] = "/^.*xz-([\d\.]*\d).*$/";
@@ -109,10 +105,10 @@
   global $regex;
 
-//if ( $package != "check" ) return 0; // Debug
+//if ( $package != "expat" ) return 0; // Debug
 
 if ( $package == "check"      ) $dirpath = "https://github.com/libcheck/check/releases";
 if ( $package == "e2fsprogs"  ) $dirpath = "http://sourceforge.net/projects/e2fsprogs/files/e2fsprogs";
 if ( $package == "expat"      ) $dirpath = "http://sourceforge.net/projects/expat/files";
-if ( $package == "expect"     ) $dirpath = "http://sourceforge.net/projects/$package/files";  
+if ( $package == "expect"     ) $dirpath = "http://sourceforge.net/projects/expect/files";  
 if ( $package == "file"       ) $dirpath = "https://github.com/file/file/releases";
 if ( $package == "flex"       ) $dirpath = "https://github.com/westes/flex/releases";
@@ -120,5 +116,5 @@
 if ( $package == "intltool"   ) $dirpath = "https://launchpad.net/intltool/trunk";
 if ( $package == "meson"      ) $dirpath = "https://github.com/mesonbuild/meson/releases";
-if ( $package == "mpc"        ) $dirpath = "http://www.multiprecision.org/index.php?prog=mpc&page=download";
+if ( $package == "mpc"        ) $dirpath = "http://www.multiprecision.org/mpc/download.html";
 if ( $package == "mpfr"       ) $dirpath = "http://mpfr.loria.fr/mpfr-current";
 if ( $package == "ninja"      ) $dirpath = "https://github.com/ninja-build/ninja/releases";
@@ -127,5 +123,5 @@
 if ( $package == "shadow"     ) $dirpath = "https://github.com/shadow-maint/shadow/releases";
 if ( $package == "systemd"    ) $dirpath = "https://github.com/systemd/systemd/releases";
-if ( $package == "tcl-core"   ) $dirpath = "http://sourceforge.net/projects/tcl/files";
+if ( $package == "tcl"        ) $dirpath = "http://sourceforge.net/projects/tcl/files";
 if ( $package == "util-linux" ) $dirpath = max_parent( $dirpath, "v." );
 if ( $package == "vim"        ) $dirpath = "ftp://ftp.vim.org/pub/vim/unix";
@@ -199,5 +195,4 @@
         $position = strrpos( $dirpath, "/" );
         $dirpath  = substr ( $dirpath, 0, $position );
-        //echo "$dirpath\n";
      }
 
@@ -205,5 +200,5 @@
      if ( ! is_array( $lines ) ) return -6;
   } // End fetch
-
+//print_r($lines);
   if ( isset( $regex[ $package ] ) )
   {
@@ -245,4 +240,10 @@
      return find_max( $lines, "/v\d/", "/^.*v(\d[\d\.]+\d).*$/" );
 
+  if ( $package == "expect" )
+     return find_max( $lines, "/expect/", "/^.*expect(\d[\d\.]+\d).tar.*$/" );
+
+  if ( $package == "mpc" )
+     return find_max( $lines, "/Version/", "/^.*Version (\d[\d\.]+\d)\\s*$/" );
+
   if ( $package == "XML-Parser" )
   {
@@ -253,4 +254,7 @@
   }
 
+  if ( $package == "tcl" )
+     return find_max( $lines, "/tcl/", "/^.*tcl(\d[\d\.]*\d)-src.*$/" );
+
   if ( $package == "ninja" )
      return find_max( $lines, "/v\d/", "/^.*v(\d[\d\.]*\d).*$/" );
@@ -270,4 +274,7 @@
   if ( $package == "grub" )
      return find_max( $lines, "/grub/", "/^.*grub-(\d\..*).tar.xz.*$/" );
+
+  if ( $package == "openssl" )
+     return find_max( $lines, "/openssl/", "/^.*openssl-([\d\.p]*\d.?).tar.*$/" );
 
   // Most packages are in the form $package-n.n.n
@@ -320,4 +327,9 @@
       }
 
+      else if ( preg_match( "/openssl/", $file ) )
+      {
+        $pattern = "/\D*(\d.*\d.*).tar.*$/";
+      }
+
       else if ( preg_match( "/gmp/", $file ) )
       {
@@ -325,7 +337,6 @@
       }
 
-      else if ( preg_match( "/eudev.*manpages/", $file ) ) continue; 
-      //else if ( preg_match( "/python/"         , $file ) ) continue; 
-      else if ( preg_match( "/systemd-man/"    , $file ) ) continue;
+      else if ( preg_match( "/systemd-man-pages/", $file ) ) continue; 
+      else if ( preg_match( "/python/"         , $file ) ) continue; 
 
       $version = preg_replace( $pattern, "$1", $file );   // Isolate version
